/*
 * @(#)QuotedPrintableExample.java
 *
 * Copyright (c) JSCAPE LLC.
 *
 * This software is the confidential and proprietary information of
 * JSCAPE. ("Confidential Information").  You shall not disclose such
 * Confidential Information and shall use it only in accordance with
 * the terms of the license agreement you entered into with JSCAPE.
 */

import com.jscape.inet.util.QuotedPrintable;
import java.io.*;

public class QuotedPrintableExample {
    
    public void encode(String text) {
        QuotedPrintable codec = new QuotedPrintable();
        System.out.println("Before Quoted-Printable encoding: " + text);
        System.out.println("After Quoted-Printable encoding: " + new String(codec.encode(text.getBytes())));
    }
    
    public static void main(String[] args) {
        StringBuffer text = new StringBuffer();
        String line;
        try {
            BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
            System.out.print("Enter text to encode (type QUIT on single line to quit): ");
            while(true) {
                line = reader.readLine();
                if(line.equalsIgnoreCase("quit")) {
                    break;
                }
                text.append(line + "\r\n");
            }
            QuotedPrintableExample example = new QuotedPrintableExample();
            example.encode(text.toString());
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }
}

